module.exports = {
  create: {
    requestBody: ['school_id', 'title', 'time_start', 'time_end', 'status', 'brief', 'type', 'limit', 'refund_hour', 'money'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['school_id', 'title', 'time_start', 'time_end', 'status', 'brief', 'type', 'limit', 'refund_hour', 'money'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        school_id: 'school_id',
        'time_start@start': 'time_start@start',
        'time_start@end': 'time_start@end',
        'time_end@start': 'time_end@start',
        'time_end@end': 'time_end@end',
        type: 'type',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
