module.exports = {
  create: {
    requestBody: ['name', 'icon', 'card', 'gender', 'age', 'phone', 'major', 'level', 'brief', 'honor', 'exp', 'user_id', 'school_id'],
  },
  destroy: {
    params: ['!id'],
    service: 'delete',
  },
  update: {
    params: ['!id'],
    requestBody: ['name', 'icon', 'card', 'gender', 'age', 'phone', 'major', 'level', 'brief', 'honor', 'exp', 'user_id', 'school_id'],
  },
  show: {
    parameters: {
      params: ['!id'],
    },
    service: 'fetch',
  },
  index: {
    parameters: {
      query: {
        'meta.createdAt@start': 'meta.createdAt@start',
        'meta.createdAt@end': 'meta.createdAt@end',
        name: 'name',
        card: 'card',
        level: 'level',
        user_id: 'user_id',
      },
      // options: {
      //   "meta.state": 0 // 默认条件
      // },
    },
    service: 'query',
    options: {
      query: ['skip', 'limit'],
      sort: ['meta.createdAt'],
      desc: true,
      count: true,
    },
  },
};
