'use strict';
// 路由配置
const path = require('path');
const regPath = path.resolve('app', 'public', 'routerRegister');
const routerRegister = require(regPath);
const rkey = 'lessonStudent';
const ckey = 'business.lessonStudent';
const keyZh = '课程-学员';
const routes = [
  { method: 'post', path: `${rkey}/checkCanUse`, controller: `${ckey}.checkCanUse`, name: `${ckey}checkCanUse`, zh: `查询是否可以报名${keyZh}` },
  { method: 'post', path: `${rkey}/toComputed`, controller: `${ckey}.toComputed`, name: `${ckey}toComputed`, zh: `计算价格${keyZh}` },
  { method: 'get', path: `${rkey}`, controller: `${ckey}.index`, name: `${ckey}Query`, zh: `${keyZh}列表查询` },
  { method: 'get', path: `${rkey}/:id`, controller: `${ckey}.show`, name: `${ckey}Show`, zh: `${keyZh}查询` },
  { method: 'post', path: `${rkey}`, controller: `${ckey}.create`, middleware: ['password'], name: `${ckey}Create`, zh: `创建${keyZh}` },
  { method: 'post', path: `${rkey}/:id`, controller: `${ckey}.update`, name: `${ckey}Update`, zh: `修改${keyZh}` },
  { method: 'delete', path: `${rkey}/:id`, controller: `${ckey}.destroy`, name: `${ckey}Delete`, zh: `删除${keyZh}` },
];

module.exports = app => {
  routerRegister(app, routes, keyZh, rkey, ckey);
};
